Bug 179541 - Review Request: tinyfugue: A MU* client
Review Request: tinyfugue: A MU* client
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-02-01 02:50 EST by Callum Lerwick
Modified: 2014-10-24 11:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-28 17:08:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Callum Lerwick 2006-02-01 02:50:23 EST
Spec Name or Url: http://www.haxxed.com/rpms/tinyfugue.spec
SRPM Name or Url: http://www.haxxed.com/rpms/tinyfugue-5.0-0.1.b7.src.rpm
Description:

Hello, I have been making my own packages for many years, and it appears I can finally get them submitted somewhere. This is my first package, I will need a sponsor. I figure I'll start with something easy.

TinyFugue is the ubiquitous MUD/MOO/MUSH/MUCK/etc client for UNIX. This client allows you to interact with multiple worlds simultaneously, create command macros, and create hooks and triggers for automated responses to game messages.
Comment 1 John Mahowald 2006-02-19 22:58:45 EST
Builds in mock, looking pretty good so far, though I can't sponsor. Blocking
FE-NEEDSPONSOR.

However, one thing that can be cleaned up, don't use Epoch unless you have to.
Comment 2 Callum Lerwick 2006-02-20 02:24:30 EST
I'm confused about that. I swear I read something ~1 year ago in the Fedora
packaging guidelines somewhere about how setting Epoch: 0 was a good idea, but
its not there anymore. Might have been a core thing? Bleh. I'll nuke it.
Comment 3 Callum Lerwick 2006-02-23 01:28:26 EST
New srpm and spec, with epoch removed: 

http://www.haxxed.com/rpms/tinyfugue.spec
http://www.haxxed.com/rpms/tinyfugue-5.0-0.2.b7.src.rpm
Comment 4 John Mahowald 2006-02-25 18:55:26 EST
You may have seen older fedora.us guidlines.

Good:

- rpmlint checks clean
- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

APPROVED.

I have since become a sponsor, so send me your Fedora account info.
Comment 5 Susi Lehtola 2009-07-15 08:28:48 EDT
I'd like to get an EPEL branch for this package and am willing to maintain it.

Package Change Request
======================
Package Name: tinyfugue
New Branches: EL-5
Owners: jussilehtola
Comment 6 Kevin Fenzi 2009-07-16 01:54:50 EDT
Have you asked the current fedora maintainer if they would like to maintain it in EPEL?
Comment 7 Susi Lehtola 2009-07-16 04:41:07 EDT
(In reply to comment #6)
> Have you asked the current fedora maintainer if they would like to maintain it
> in EPEL?  

I did so twice in bug #457401, no answer.
Comment 8 Jason Tibbitts 2009-07-17 12:14:14 EDT
The maintainer seems to be mostly away in any case; perhaps you'd also consider offering to co-maintain the package in Fedora.

CVS done.
Comment 9 Petr Šabata 2014-10-24 10:07:53 EDT
Package Change Request
======================
Package Name: tinyfugue
New Branches: el6 epel7
Owners: psabata
Comment 10 Jon Ciesla 2014-10-24 10:54:57 EDT
Git done (by process-git-requests).

el6 exists.
Comment 11 Petr Šabata 2014-10-24 11:08:55 EDT
Right.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.